Scilab Function
Last update : 00/00/0000

hess - Forme de Hessenberg

### Calling Sequence

  `H = hess(A)`
  `[U,H] = hess(A)`

### Parameters

- `A` : matrice carrée réelle ou complexe
- `H` : matrice carrée réelle ou complexe
- `U` : matrice carrée unitaire

### Description

`[U,H] = hess(A)` Calcule une matrice unitaire `U` et une matrice de Hessenberg `H` telles que `A = U*H*U'` et `U'*U` = Identité. La syntaxe `H=hess(A)` ne renvoie que la matrice de Hessenberg.

Les coefficients d'une matrice sous forme de Hessenberg sont nuls sous la première sous-diagonale. Si la matrice est symétrique ou hermitienne, la forme est tridiagonale.

### Examples

        A=rand(3,3);[U,H]=hess(A);
        and( abs(U*H*U'-A)<1.d-10 )

### See Also

`qr`, `contr`, `schur`,

### Used Function

Le calcul de la forme de Hessenberg determinant est basé sur les routines Lapack : DGEHRD, DORGHR pour les matrices réelles et ZGEHRD, ZORGHR pour le cas complexe.